{% extends 'base.html' %}
{%load static%}
{%block content%}
<link rel="stylesheet" href="{% static 'riwayat.css' %}">
{% if user.is_authenticated %}
<h1 id="judul">Riwayat Perjalanan Pasien Covid</h1>
<div class="text-center">
    <button id="tombol" ><b>Color Mode</b></button>
    <form method="POST" class="post-form" enctype="multipart/form-data" id="target">
        {% csrf_token %}
        {% for i in form %}
            <div style="text-align: center;">
                <div class = "nama-form" id="bisa">{{ i.label_tag }}</div>
                <div>{{ i }}</div>
            </div>
        {% endfor %}
        <div class="container">
            <div class="text-center"><br>
                <button class="btn btn-primary" role="button" type="submit">Submit</button>
            </div>
        </div>
    </form>
  </div>  
  {% else %}
  <h2 style="color: black; text-align: center;"><a href="{% url 'login:login' %}">Login</a> terlebih dahulu untuk melihat riwayat perjalanan!</h2>
  {% endif %}
<script type="text/javascript">
    $("#target").submit(function() {
        alert( " Form berhasil disubmit! " );
      });
    $(".class-form").focus(function(){
        $(this).css("background", "#A7CECB");
    });
    $(".class-form").blur(function(){
        $(this).css("background", "white");
    });
    $("#tombol").click(function() {
        $("body").toggleClass("dark-mode");
        $("h1").toggleClass("h1-dark");
    });
</script>
{%endblock%}
